%ext ck1

#tsrmusic
%patch $BE97 $65
%patch $BEE2 $65

#====================== Vorticons Extended =====================

#far segment code
%patchfile $10000 patch\atrseg.bin

# VIDEO --------------------------------------------------

#Far Call to ATR_0
%patch $B7B2 $10001000RL

#Far Call to ATR_1
%patch $B7AA $1000104DRL

#masked animations
#add si, [cur_anim_plane_nptr]; mov si, [si]; nop; nop
%patch $B9CE $03 $36 $BE $35 $8B $34 $90 $90 

# TILESETS -----------------------------------------------

# Using 4 Frames
%patch $18040 $00A8W $07C4W $0EE0W $15FCW $00A8W $07C4W $0EE0W $15FCW # USE 4 FRAMES (4 x 2)

# References to Animation and Info Planes
%patch $B799 $E #8 planes 
%patch $B79C $4FF0W #new anim plane offset array (above)

# Tileset Loader
%patchfile $13BF patch\loader.bin
%patch $676 $E8 $0D87W #call loader

# call tile collision routine
%patch $2C97 $9A $10000000RL $C3

# slopes on world map
%patchfile $A616 patch\mapslope.bin

# references to tileinfo type plane
%patch $045A $8A $87 $3A1CW $98 $90 #overwrite shl bx, 1; CODE: mov al, TileInfo_UEDGE[bx], 0; and al, 3; cbw; cmp al, 1
%patch $281E $8A $87 $3A1CW $98 $90
%patch $283D $8A $87 $3A1CW $98 $90
%patch $4364 $8A $87 $3A1CW $98 $90

# references to tileinfo uedge blocking
%patch $38C5 $8A $87 $3DAAW $24 $03 $98 $3C $01 #think_13_keen_ground: 

# references to tileinfo redge blocking
%patch $473D $80 $BF $4138W $0 $90 $90 #overwrite shl bx, 1; CODE: cmp byte ptr TileInfo_UEDGE[bx], 0; nop; nop;
%patch $495A $80 $BF $4138W $0 $90 $90

# references to tli DEdge blocking

# references to tli LEdge Blocking
%patch $382F $80 $BF $4854W $0 $90 $90
%patch $47B1 $80 $BF $4854W $0 $90 $90
%patch $49C9 $80 $BF $4854W $0 $90 $90

# EXTRA STUFF -----------------------------------------------

# All of this is optional, but might make the game nicer to play

# remove del_x = 0 on keen shot
#%patch $3B47 $90 $90 $90

# pogo and jump fix: keen must have > 0 Y velocity to pogo
#%patch $3FAC $F7 $C6 $02 $00 $74 $18 $83 $3E $42 $82 $00 $7C $11 $E9 $44 $D5
#%patch $3D68 $F7 $C6 $02 $00 $74 $12 $83 $3E $42 $82 $00 $7C $0B $E9 $A3 $D7



#============= END Vorticons Extended PATCH 320x200 ====================


#-------------------------------------------------------------------------------

#32 levels in Keen 1:
#SIDE EFFECT: Fits 32 levels into a 16 level DONE space
#Change things when checking if a level is done 
%patch $7D3A  $90 $90 $80 $BF $A6 $AA $00 
%patch $7FCA  $90 $90 $80 $BF $A5 $AA $00 
#When starting a new game, make all 32 levels not done 
%patch $9065  $90 $90 $C6 $87 $A6 $AA $00 $90 
%patch $9070  $83 $7E $F8 $20 
#Change things when marking a level as done 
%patch $8013  $90 $90 $C6 $87 $A5 $AA $01 $90 
%patch $7E48  $83 $7E $FC $20  

#-------------------------------------------------------------------------------


#Ship Message
%patch $1659B "Active oxygen       "
%patch $165B0 "generators: "
%patch $165C6 "Shut 'em off"

#About ID...
%patch 0x015F80 "This mod was started by Najawa    "
%patch 0x015FA8 "but since it was abandoned Tulip "
%patch 0x015FD0 "finished this promising mod.  "
%patch 0x015FF8 "                    "
%patch 0x016020 "This was Nawaja's first and     "
%patch 0x016048 "last attempt and modding. Graphics "
%patch 0x016070 "were partly made by       "
%patch 0x016098 "Levellord and the more "
%patch 0x0160C0 "sophisticated patching was   "
%patch 0x0160E8 "made possible by the great Lemm  "
%patch 0x016110 "Thanx go to the community"

#Finale
%patch 0x015C24 "Commander Keen returns to the Bean-"
%patch 0x015C49 "with-Bacon Megarocket and loads  "
%patch 0x015C6C "the Fire Shikadi's flame generators"
%patch 0x015C91 "to get home and destroy them.  "

# First dialogue box at home
%patch 0x015CBD "Keen makes it to his  "
%patch 0x015CD5 "clubhouse to ana- "
%patch 0x015CE9 "lyze the memory. "

%patch 0x015CFB "He pulls out his   "
%patch 0x015D10 "screwdriver and    "
%patch 0x015D25 "twists    "

%patch 0x015D30 "out pops the memory--"

#Text jump
%patch 0x015D47 "No, a message written"
%patch 0x015D5E "in SGA: 'Fooled You"
%patch 0x015D73 "Keen!'     "

%patch 0x015D80 "Signed Mortimer "
%patch 0x015D92 "McMire   "

%patch $15D9C "The project was never "
%patch $15DB4 "planned to happen   "
%patch $15DCA "in the solar system.   "

%patch $15DE2 "That means...      "

%patch $15DF6 "Armageddon II..."

%patch $15E07 "Is still out there ! "
%patch 0x015E1E "Mort wants to toast    "
%patch 0x015E37 "the universe by    "
%patch 0x015E4C "blowing up the sun.  "
%patch 0x015E63 "TUIT!!!!!     "

#High Score Entries
%patch 0x01593F "Me   "
%patch 0x01594E "Myself "
%patch 0x01595D "I     "

%level.hint 2
Dude, ever consider
even a slight Tan?

%level.hint 6
You sir, have a lack
of vitamin D.
This is why you have
dead looking skin!

%level.hint 9
Fire also provides a
quick tan:
Keep you arm there
too long and you'll
be fairly black.

%level.hint 10
Dude, you're smart.
Right?
Ya, so get a tan!!!

%level.hint 11
Ahhh...
Oh, for a second I
thought you were a
ghost!

%level.hint 12
Dude, even fire
isn't working.

%level.hint 15
Micheal Jackson;
may I have your
auto-graph?

#Status Screen
%patch 0x014E56 "SCORE"
%patch 0x014E60 "EXTRA LIFE AT"
%patch 0x014E77 "LIVES"
%patch 0x014E83 "GENERATORS"
%patch 0x014E9B "DRIPY "
%patch 0x014EA4 "P-87"
%patch 0x014EAC "PASSES  "
%patch 0x014EC8 "H2O   "
%patch 0x014EDB "LIVES LEFT"

#CTSpace
%patch 0x014DEE "You are now cheating!"
%patch 0x014E05 "You just got a p-87 pogo, "
%patch 0x014E21 "all the passes, and   "
%patch 0x014E39 "100 H2O for your Dripy! "

#robot's shots freeze keen instead of kill him 
%patch $48E9 $0F $00

#Menu
%patch 0x015EF6 "Continue Game"
%patch 0x015F12 "The Modders"
%patch 0x015F22 "The Keenest"
%patch 0x015F32 "How to Buy:  "
%patch 0x015F52 "Restart Demo"

#Patches by Levellord - Worship the Level!

# Keen does not lose ship parts on dying in their levels. 
%patch 0x4F82 $90 $90 $90 $90 $90 $90 #Joystick
%patch 0x4F8A $90 $90 $90 $90 $90 $90 #Battery
%patch 0x4F92 $90 $90 $90 $90 $90 $90 #Vacum
%patch 0x4F9A $90 $90 $90 $90 $90 $90 #everclear

#Exit tiles don't change when Keen exits
%patch $417E $90 #Top blank tile doesn't appear
%patch $41A7 $90 #Bottom blank tile doesn't appear

#Lemm patching kicks in

#Add new vortberk and yorp behaviours
%patchfile $6884 patch\vortberk.bin
#Reference Vortberk
%patch $166F $5213W
#Reference newyorp
%patch $18D9 $6AFCW

%patch $4292 $81 $06 $6EE2W $0002W

%patch $46A4 $55F1W
%patch $55EF $EB $4A     #Make space
%patch $55F1 $66 $8B $5D $10 $66 $8B $C3 $66 $05 $00 $EE $FF $FF $66 $89 $44
             $08 $66 $8B $C3 $66 $05 $00 $EF $FF $FF $66 $89 $44 $10 $66 $8B
             $C3 $66 $05 $00 $0B $00 $00 $66 $89 $44 $10 $66 $31 $C0 $66 $31
             $DB $89 $44 $1E $90 $90 $90 $89 $44 $22 $8B $45 $20 $89 $44 $20
%patch $5631 $E9 $F065W  #jump to cs:4699 (end of keen collision routine)

#Ending Window bitmap patches
%patch $8599 $90 $90 $90 #get rid of first bitmap draw
%patch $85AC $90 $90 $90 #get rid of first bitmap (12) sound
%patch $85BC $90 $90 $90 #get rid of 2nd bitmap draw
%patch $85C6 $90 $90 $90 #get rid of 2nd bitmap's sound
%patch $8772 $000EW # left edge of on from left edge of screen
%patch $874F $0012W # left edge of off from left edge of screen 

%end
